filestore-0.6.5.1: Interface for versioning file stores.

Copyright | Copyright (C) 2009 John MacFarlane
License | BSD 3
Maintainer | John MacFarlane <jgm@berkeley.edu>
Stability | alpha
Portability | GHC 6.10 required
Safe Haskell | Safe-Inferred
Language | Haskell98

Data.FileStore.Git

Description

A versioned filestore implemented using git. Normally this module should not be imported: import Data.FileStore instead.

It is assumed that git >= 1.7.2 is available on the system path.

Synopsis

- gitFileStore :: FilePath -> FileStore

# Documentation

gitFileStore :: FilePath -> FileStore Source #

Return a filestore implemented using the git distributed revision control system (http://git-scm.com/).